Academic Company Events Community Support Solutions Products & Services Contact NI MyNI
2 ratings:
 3.5 out of 5     Rate this Document

How Does NI Security Update 67L8KSQW for NI .NET Class Library Help Affect Me?



Primary Software: LabWindows/CVI Development Systems>>LabWindows/CVI Full Development System
Primary Software Version: 2009 SP1
Primary Software Fixed Version: N/A
Secondary Software: N/A

Problem:
My system requires NI Security Update 67L8KSQW. What actions should I take to eliminate the security vulnerability?

- OR -

Why am I seeing content in the NI .NET Class Libraries Help that does not apply to me?

- OR -

Why am I seeing the following error dialogs when opening an example from the NI .NET Class Libraries Help?

Could not initialize NationalInstruments.Help2.dll

Meesage from webpage - Failed to launch

This KnowledgeBase is also available in English, Spanish, French, German, Korean, Japanese, or Chinese.



Solution:
A security vulnerability exists in the NI .NET Class Libraries Help. NI Security Update 67L8KSQW eliminates the vulnerability. This update is recommended for all systems with NI .NET class libraries installed.

Updating Your System and Deployed Systems
NI Security Update 67L8KSQW is bundled in the NI General Security Patch Q2 2013 along with updates for other NI components. Refer to How Does NI Security Update 67L8K7QW (NI General Security Patch Q2 2013) Affect Me? for more information.

Unnecessary Content in NI .NET Class Library Help
You might see additional content that does not apply to you when using the NI .NET Class Library Help if all the following conditions apply:
  • Your system does not have NI Security Update 67L8KSQW installed.
  • You have installed another security update or NI software released August 2013 or later.

To prevent the unnecessary content from appearing in the NI .NET Class Library Help, install NI Security Update 67L8KSQW.

Errors Opening Examples from NI .NET Class Library Help
You will see the error dialogs in the Problem section above if all the following conditions apply:
  • Your system does not have NI Security Update 67L8KSQW installed.
  • You have installed another security update or NI software released August 2013 or later.
  • You open an example from the NI .NET Class Library Help.
To eliminate this error in the NI .NET Class Library Help, install NI Security Update 67L8KSQW.

Background
A security vulnerability exists in several NI ActiveX components installed with National Instruments software products on Microsoft Windows operating systems. These components are vulnerable to attacks through Microsoft Internet Explorer and Microsoft Office. Refer to Software vulnerability NI-64BG6SWQ-4 for .NET Class Library Help for more information.

Related Links:
KnowledgeBase 67L8N7QW: How Do the NI Q2 2013 Security Updates Affect Me?
KnowledgeBase 67L8K7QW: How Does NI Security Update 67L8K7QW (NI General Security Patch Q2 2013) Affect Me?
KnowledgeBase 67L8LCQW: How Do Microsoft “Kill Bits” Affect NI ActiveX Components?
KnowledgeBase 67L8OHQW: How Do I Apply NI Q2 2013 Security Updates On System Without NI Update Service Installed?
KnowledgeBase 6CP7OS4G: What is the Nature of Software Vulnerability NI-64BG6SWQ-4?

Attachments:


CouldNotInitialize.pngCouldNotInitialize.pngFailedtoLaunchExample.pngFailedtoLaunchExample.png


Report Date: 03/22/2013
Last Updated: 08/26/2013
Document ID: 67L8KSQW

Your Feedback! poor Poor  |  Excellent excellent   Yes No
 Document Quality? 
 Answered Your Question? 
  1 2 3 4 5
Please Contact NI for all product and support inquiries.submit